<?php
	 /* 
	 Plugin Name: Ajustes para WooCommerce
	 Plugin URI: https://avalos.sv
	 Description: Plugin con las funciones personalizadas para los Servicios
	 Version: 1.0.0
	 Author: Alex Avalos
	 Author URI: https://avalos.sv
	 License: GPL 2+ 
	 License URI: https://avalos.sv
	 */ 
// Quitar campos de Checkout
            add_filter( 'woocommerce_checkout_fields' , 'custom_override_checkout_fields' );
        function custom_override_checkout_fields( $fields ) {
        unset($fields['billing']['billing_company']);
        unset($fields['billing']['billing_address_1']);
        unset($fields['billing']['billing_address_2']);
        unset($fields['billing']['billing_city']);
        unset($fields['billing']['billing_postcode']);
        unset($fields['billing']['billing_country']);
        unset($fields['billing']['billing_state']);
        unset($fields['billing']['billing_phone']);
        unset($fields['order']['order_comments']);
        return $fields;
    }
// Actualiza automáticamente el estado de los pedidos a COMPLETADO
        add_action( 'woocommerce_order_status_processing', 'actualiza_estado_pedidos_a_completado' );
        add_action( 'woocommerce_order_status_on-hold', 'actualiza_estado_pedidos_a_completado' );
    function actualiza_estado_pedidos_a_completado( $order_id ) {
        global $woocommerce;
        //ID's de las pasarelas de pago a las que afecta
        $paymentMethods = array( 'bacs', 'cheque', 'paypal', 'payway' );
    if ( !$order_id ) return;
        $order = new WC_Order( $order_id );
    if ( !in_array( $order->payment_method, $paymentMethods ) ) return;
        $order->update_status( 'completed' );
    }
?>